# To dos
- check conditionals: only connections of countries that both have h2 enables should be considered
- but what to do with connections that might go via an non-h2 country? Are those to be excluded then?
- Could also only allow H2 Grid if H2 is activated everywhere count(dtr.sets[:n]) == count{h2}
- 